org.hibernate.search.query.dsl.sort.impl

## Class ConnectedSortScoreContext

- java.lang.Object
- - org.hibernate.search.query.dsl.sort.impl.AbstractConnectedSortContext
  - - org.hibernate.search.query.dsl.sort.impl.ConnectedSortAdditionalSortFieldContext
    - - org.hibernate.search.query.dsl.sort.impl.ConnectedSortScoreContext

- All Implemented Interfaces:
    SortAdditionalSortFieldContext, SortOrder<SortScoreContext>, SortScoreContext, SortTermination

      public class ConnectedSortScoreContext
      extends ConnectedSortAdditionalSortFieldContext
      implements SortScoreContext

  Author:
    Yoann Rodiere

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.query.dsl.sort.impl.AbstractConnectedSortContext

      `queryContext, states`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedSortScoreContext(QueryBuildingContext queryContext, SortFieldStates states)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortScoreContext` | `asc()` Sort in ascending order.
    `Sort` | `createSort()` Return the Lucene `Sort` corresponding to the requested sort.
    `SortScoreContext` | `desc()` Sort in descending order.

    - ### Methods inherited from class org.hibernate.search.query.dsl.sort.impl.ConnectedSortAdditionalSortFieldContext

      `andByDistance, andByField, andByField, andByIndexOrder, andByNative, andByNative, andByScore`

    - ### Methods inherited from class org.hibernate.search.query.dsl.sort.impl.AbstractConnectedSortContext

      `getQueryContext, getStates`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.query.dsl.sort.SortAdditionalSortFieldContext

      `andByDistance, andByField, andByField, andByIndexOrder, andByNative, andByNative, andByScore`

- - ### Constructor Detail

    - #### ConnectedSortScoreContext

          public ConnectedSortScoreContext(QueryBuildingContext queryContext,
                                           SortFieldStates states)

  - ### Method Detail

    - #### asc

          public SortScoreContext asc()

      Description copied from interface: `SortOrder`
      Sort in ascending order.
      Specified by:
        `asc` in interface `SortOrder<SortScoreContext>`

    - #### desc

          public SortScoreContext desc()

      Description copied from interface: `SortOrder`
      Sort in descending order.
      Specified by:
        `desc` in interface `SortOrder<SortScoreContext>`

    - #### createSort

          public Sort createSort()

      Description copied from interface: `SortTermination`
      Return the Lucene `Sort` corresponding to the requested sort.
      Specified by:
        `createSort` in interface `SortTermination`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved